[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.AllocateHWnd

Allocates an invisible window that can be used to receive messages.

## Declaration

Source position: lclintfh.inc line 37

`public function TWidgetSet.AllocateHWnd(`
`Method: TLCLWndMethod`
`):HWND; virtual;`

## Arguments

`Method` |  | The callback method for the window. Can be Nil.

## Function result

The window handle, zero on failure.

## See also

TWidgetSet.DeallocateHWnd |  | Deletes a window created with AllocateHWnd.